EDIT - bug #6843

feature request # 6169 (Closed): Algae Registry web-application

resize problems of Popup editors when clicking contained elements
07/21/2017 04:51 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal Found in Version:

Description

e.g. when clicking the lazy combobox in the Name editor it can happen that the popup window exceeds the body element without
causing any scrollbar to be shown in the page so that it is possible to scroll down. the lower part of the window becomes unavailable

Associated revisions

Revision 7954536e - 07/21/2017 04:53 PM - Andreas Kohlbecker

fix #6843 popup window content layouts are guaranteed to have full size

Revision 553727 - 07/21/2017 08:48 PM - Andreas Kohlbecker

fix #6843 avoiding oversized windows by setting a defined height

Revision 0afOecf8 - 07/24/2017 10:08 AM - Andreas Kohlbecker
fix #6843 improving AbstractPageView layout

History

#1 - 07/21/2017 04:52 PM - Andreas Kohlbecker

This seems to be caused by the contained layouts having no size, see https:/vaadin.com/forum/#!/thread/249127/249162

#2 - 07/21/2017 04:53 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 100 to 50

Applied in changeset cdm-vaadin|7954536ed6fe523ed7eabf42fafa42273f11ea88.

#3 - 07/21/2017 04:57 PM - Andreas Kohlbecker

- Status changed from Resolved to In Progress

unfortunately still not solved

#4 - 07/24/2017 10:08 AM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

Applied in changeset cdm-vaadin|55{3f7276e2dd80c2ee631360575b2be9218dd0a.

#5 - 07/24/2017 10:08 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#6 - 07/24/2017 10:11 AM - Andreas Kohlbecker
- % Done changed from 50 to 100
